#!/bin/sh
# Package name as first parameter

BUILD=i686-pc-linux-gnu
TARGET=m68k-atari-mint
HOST=${TARGET}

PREFIX=/path/to/crosstools
INSTALL_PREFIX=${PREFIX}/${TARGET}

export PATH=${PREFIX}/bin:${PREFIX}/${TARGET}/bin:$PATH
export LD_LIBRARY_PATH=${PREFIX}/lib:$LD_LIBRARY_PATH

## Package and parameters to build it
PACKAGE=$1
shift

PARAMETERS="--disable-shared"
PARAMETERS="$PARAMETERS --enable-static"
PARAMETERS="$PARAMETERS --disable-debug"

PACKAGE_CFLAGS="-O2 -fomit-frame-pointer"
PACKAGE_CXXFLAGS=$PACKAGE_CFLAGS

# 68000 version

#if [ ! -d ${PACKAGE}-000 ]; then
	mkdir -p ${PACKAGE}-000
	cd ${PACKAGE}-000

	export CFLAGS=$PACKAGE_CFLAGS
	export CXXFLAGS=$PACKAGE_CXXFLAGS

	../${PACKAGE}/configure \
		--prefix=${INSTALL_PREFIX} \
		--build=${BUILD} \
		--host=${HOST} \
		${PARAMETERS} $*

	cd ..
#fi

# 68020 version

#if [ ! -d ${PACKAGE}-020 ]; then
	mkdir -p ${PACKAGE}-020
	cd ${PACKAGE}-020

	export CFLAGS="-m68020 $PACKAGE_CFLAGS"
	export CXXFLAGS="-m68020 $PACKAGE_CXXFLAGS"

	../${PACKAGE}/configure \
		--prefix=${INSTALL_PREFIX} \
		--build=${BUILD} \
		--host=${HOST} \
		--libdir=${INSTALL_PREFIX}/lib/m68020 \
		${PARAMETERS} $*

	cd ..
#fi

# 68020-60 version

#if [ ! -d ${PACKAGE}-02060 ]; then
	mkdir -p ${PACKAGE}-02060
	cd ${PACKAGE}-02060

	export CFLAGS="-m68020-60 $PACKAGE_CFLAGS"
	export CXXFLAGS="-m68020-60 $PACKAGE_CXXFLAGS"

	../${PACKAGE}/configure \
		--prefix=${INSTALL_PREFIX} \
		--build=${BUILD} \
		--host=${HOST} \
		--libdir=${INSTALL_PREFIX}/lib/m68020-60 \
		${PARAMETERS} $*

	cd ..
#fi

# Coldfire version

#if [ ! -d ${PACKAGE}-cf ]; then
	mkdir -p ${PACKAGE}-cf
	cd ${PACKAGE}-cf

	export CFLAGS="-mcpu=5475 $PACKAGE_CFLAGS"
	export CXXFLAGS="-mcpu=5475 $PACKAGE_CXXFLAGS"

	../${PACKAGE}/configure \
		--prefix=${INSTALL_PREFIX} \
		--build=${BUILD} \
		--host=${HOST} \
		--libdir=${INSTALL_PREFIX}/lib/m5475 \
		${PARAMETERS} $*

	cd ..
#fi
